package com.yeejoin.amos.boot.module.jcs.api.service;

import java.util.List;
import java.util.Map;

/**
 * 消防资源监管
 */
public interface IFireResourceSupervisionService {
    /**
     * 获取人员统计信息
     *
     * @param bizOrgCode 机构编码
     */
    Map<String, Map<String, Number>> getPersonnelStats(String bizOrgCode);

    List<Map<String, Object>> selectQualificationStats(String bizOrgCode, Integer peopleType);

    Map<String, Map<String, String>> getPersonInfo(String bizOrgCode);
}
